/v1/approvals/{id}/cancel
POST
/v1/approvals/{id}/cancel
const url = 'https://api.reindeer.example.tr/v1/approvals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/cancel';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.reindeer.example.tr/v1/approvals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/cancel \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "reason": "example" }'Scope approvals:write, person with fresh step-up. Cancels a pending approval, or an approved one whose cool-off has not ended; the request it guards is closed.
Authorizations
Bölüm başlığı “Authorizations”Parameters
Bölüm başlığı “Parameters”Path Parameters
Bölüm başlığı “Path Parameters”id
required
string format: uuid
Request Body
Bölüm başlığı “Request Body”Media typeapplication/json
object
reason
Plain text; control and format characters answer 422 reason
string
Example generated
{ "reason": "example"}Responses
Bölüm başlığı “Responses”Cancelled
RFC 9457 problem
Media typeapplication/problem+json
object
status
integer
code
string
title
string
detail
string
type
string
Example generated
{ "status": 1, "code": "example", "title": "example", "detail": "example", "type": "example"}